## shagadelictv shagadelictv — Oh behave, ShagedelicTV makes images shagadelic! |

## Types and Values

struct | GstShagadelicTV

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstShagadelicTV

## Description

Oh behave, ShagedelicTV makes images shagadelic!

### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! shagadelictv ! videoconvert ! autovideosink

This pipeline shows the effect of shagadelictv on a test stream.

## Synopsis

### Element Information

plugin | effectv
author | Wim Taymans <wim.taymans@chello.be>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)BGRx, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)BGRx, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstShagadelicTV

    struct GstShagadelicTV;